Oore CI
ReferenceAPIOperationsBuilds

Re-run build

Creates a new build cloning the original build's config_snapshot, branch, and commit_sha.

Operation IDrerun_build
POST
/v1/builds/{build_id}/rerun

Creates a new build cloning the original build's config_snapshot, branch, and commit_sha.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

build_id*string

Source build ID to re-run

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/builds/string/rerun"
{  "build": {    "branch": "string",    "build_number": 0,    "changelog": "string",    "commit_sha": "string",    "config_snapshot": {},    "context": null,    "created_at": 0,    "exit_code": 0,    "finished_at": 0,    "id": "string",    "pipeline_id": "string",    "project_id": "string",    "queued_at": 0,    "runner_id": "string",    "runner_policy_block_reason": null,    "source_build_id": "string",    "started_at": 0,    "status": "queued",    "step_results": [      {        "duration_ms": 0,        "exit_code": 0,        "finished_at": 0,        "name": "string",        "started_at": 0,        "status": "string"      }    ],    "trigger_actor": "string",    "trigger_event": "string",    "trigger_ref": "string",    "trigger_type": "manual",    "updated_at": 0  }}